use crate::runtime::{Variable, acquire, release, bool_get, bool_set};
use super::varying;

pub struct Boolean {
    managed:bool,
    addr:Variable,
}

impl Varying {
    pub fn new() -> Self
    {
        Self {
            managed:true,
            addr:unsafe {acquire(varying())},
        }
    }

    pub fn set(&mut self, value:bool)
    {
        
    }

    pub fn get(&self) -> Variable
    {
        false
    }
}

impl Drop for Varying {
    fn drop(&mut self) {
        if self.managed {
            unsafe {release(self.addr)};
        }
    }
}
