# Suzu Data Notation

## Types

|Tag|Type|Data|
|---|---|
|**Tags**| | |
|01|Null|No data|
|02|Boolean|True (02) or False (03)|
|**Primitives**| | |
|10|Natural|Integer on [0, inf)|
|11|Integer|Integer on (-inf, inf)|
|12|Decimal|Floating-point number|
|13|Complex|Floating-point number with imaginary component|
|**Compounds**| | |
|1c|Range| |
|1d|Char|Natural representing character code|
|1e|Block|Fixed-length series of bytes|
|1f|String|Variable-length series of bytes|
|**Containers**| | |
|20|Option| |
|21|Set|Unordered, unique collection of elements|
|22|Array|Fixed-length, ordered collection of elements|
|23|List|Variable-length, ordered collection of elements|
|24|Sparse|Discontinuous, ordered collection of elements|
|25|Map|Mapping of elements onto elements|
|26|Trie|Mapping of string onto elements|
|27|Tree| |
|28|Graph| |
|**Objects**| | |
|3e|Record| |
|3f|Schema| |
|40+|User-defined| |
